Download it now!
Bug 130600 - The same icons for "New category" and "Refresh" items are in "Settings" drop-down menu in Template dialog
Summary: The same icons for "New category" and "Refresh" items are in "Settings" drop-...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Ayhan Yalçınsoy
URL:
Whiteboard: target:7.0.0
Keywords: difficultyBeginner, easyHack, skillDebug, topicUI
Depends on:
Blocks: Icon-Themes-Code
  Show dependency treegraph
 
Reported: 2020-02-11 20:49 UTC by Roman Kuznetsov
Modified: 2020-03-03 09:05 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Illustration of the problem for Elementary (20.92 KB, image/png)
2020-02-11 20:50 UTC, Roman Kuznetsov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2020-02-11 20:49:08 UTC
Description:
The same icons for "New category" and "Refresh" items are in "Settings" drop-down menu in Template dialog

Steps to Reproduce:
1. Open File->New->Templates
2. Press Settings button in bottom-left corner of the dialog
3. Look at the same icons for "New category" and "Refresh" items

Actual Results:
The same icons for "New category" and "Refresh" items are in "Settings" drop-down menu in Template dialog (actually for ALL icon themes)

Expected Results:
"New category" and "Refresh" items have different nice icons in all icon themes


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.0.0.alpha0+ (x64)
Build ID: e8ac78d3afdeb0302eaea34a50f1ca912d5fe897
CPU threads: 4; OS: Windows 10.0 Build 17763; UI render: Skia/Vulkan; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded
Comment 1 Roman Kuznetsov 2020-02-11 20:50:20 UTC
Created attachment 157807 [details]
Illustration of the problem for Elementary
Comment 2 Julien Nabet 2020-02-11 21:15:05 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 3 Julien Nabet 2020-02-11 21:28:58 UTC
Here's a code pointer:
    177     OUString sBmp(BMP_ACTION_REFRESH);
    178     mxActionBar->insert_item(0, MNI_ACTION_NEW_FOLDER, SfxResId(STR_CATEGORY_NEW), &sBmp, nullptr, false);
    179     mxActionBar->insert_item(1, MNI_ACTION_RENAME_FOLDER, SfxResId(STR_CATEGORY_RENAME), nullptr, nullptr, false);
    180     mxActionBar->insert_item(2, MNI_ACTION_DELETE_FOLDER, SfxResId(STR_CATEGORY_DELETE), nullptr, nullptr, false);
    181     mxActionBar->insert_separator(3, "separator");
    182     mxActionBar->insert_item(4, MNI_ACTION_REFRESH, SfxResId(STR_ACTION_REFRESH), &sBmp, nullptr, false);
See https://opengrok.libreoffice.org/xref/core/sfx2/source/doc/templatedlg.cxx?r=f7804fc2#177

Heiko/Xisco: what about removing the wrong icon for New folder? Perhaps later it should be replaced with a brand new image?
Comment 4 Heiko Tietze 2020-02-24 13:16:31 UTC
Something like "sidebar-template-small" looks wrong. So indeed we better remove the icon.
Comment 5 Commit Notification 2020-03-03 09:05:17 UTC
ayhanyalcinsoy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b23183af90996395c19eea5c71c7b2f5640b838b

tdf#130600:Removed the New Category and Refresh icons from Template dialog

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.